/* $Header: /web/programmers/cvs/magicmail-backend/common/controls.h,v 1.3 2005/12/21 22:58:25 josh Exp $ */

#ifndef CONTROLS_H
#define CONTROLS_H

#define CONTROL_BOOL   		1
#define CONTROL_INT    		2
#define CONTROL_STRING 		3
#define CONTROL_STRING_ML 	4
#define CONTROL_PROG   		5
#define CONTROL_DIR    		6
#define CONTROL_FILE   		7
#define CONTROL_LIST   		8

#include <stddef.h>             /* for offsetof(TYPE, MEMBER) macro */

typedef struct
{
    char *dir;
    char *env;
} config_set_t;

typedef struct _list_t
{
    char *data;
    struct _list_t *next;
} list_t;

typedef struct
{
    char *name;
    int set;
    int offset;
    int type;
    char *defvalue;
} config_type_t;

#include <common/control_files.inc>

#endif
